html.customizer-ui-v3 {

    $marginTopOnDesktop: 79px;
    $marginTopOnMobile : 69px;

    $topBannerHeight: 0px;

    $fontPrimary: 'Input Sans', sans-serif;

    &.customizer-loaded,
    &.customizer-ending {
        height    : auto !important;
        max-height: inherit !important;
    }

    &.customizer-loading .customizer-progress-bar,
    &.customizer-ending .customizer-outro {
        visibility: visible;
        opacity   : 1;
        transition: opacity 400ms, visibility 0ms;
    }

    &.customizer-loading .variant-customizer-container,
    &.customizer-loaded .variant-customizer-container,
    &.customizer-ending .variant-customizer-container {
        opacity   : 1;
        visibility: visible;
        transition: all 0s;
    }

    /* for faster debugging */
    &.force-ui-expand{
        .block-title .color-group{
            display: none;
        }
        .block-colors{
            height: auto !important;
        }
        .block-image-editor{
            height: auto !important;
        }
    }

    .variant-customizer-container {
        position  : fixed;
        top       : 0;
        left      : 0;
        width     : 100vw;
        height    : 100vh;
        z-index   : 900;
        display   : flex;
        opacity   : 0;
        visibility: hidden;
        margin-top: $marginTopOnDesktop;

        &.expanded {
            .customizer-back {
                opacity   : 1;
                visibility: visible;
                transition: opacity 0.5s, visibility 0s;
            }
        }
    }

    .customizer-canvas-wrapper {
        position: relative;
    }

    .customizerCanvasParent {
        width : calc(100vw - 380px);
        height: 100%;
    }

    .with-top-banner .variant-customizer-container {
        margin-top: calc(#{$marginTopOnDesktop} + #{$topBannerHeight});
    }


    .customizer-progress-bar,
    .customizer-outro {
        max-height      : calc(100vh - #{$marginTopOnMobile});
        background-color: #2A469D;
    }

    .customizer-progress-bar-text {
        font-size  : 30px;
        line-height: 1.33;
        font-family: $fontPrimary;
    }

    .customizer-ui-wrapper {
        position           : absolute;
        top                : 0;
        right              : 0;
        height             : 100%;
        max-height         : calc(100vh - #{$marginTopOnDesktop});
        overflow-y         : auto;
        overflow-x         : hidden;
        // width           : 30vw;
        width              : 380px;
        display            : flex;
        flex-direction     : column;
        background-color   : #fff;
    }


    .customizer-options {

        width              : 100%;
        height             : 100%;
        position           : absolute;
        transition         : transform 0.5s;
        flex-direction     : column;
        // justify-content : flex-start;
        display            : flex;
        max-height         : calc(100vh - #{$marginTopOnDesktop});
        background-color   : #f9f9f9;

        &:nth-of-type(1) {
            transform: translateX(0%);
        }

        &:nth-of-type(2) {
            transform: translateX(100%);
        }

        .group-row {

            width         : 100%;
            display       : flex;
            flex-direction: column;

            &.expanded {
                .block-colors {
                    margin-top: -2px;
                }

                .block-custom-text {
                    margin-top: -2px;
                }

                .block-image-editor {
                    margin-top: -2px;
                }

                .block-title {
                    .group-line-arrow {
                        transform: rotate(180deg);
                    }

                    .color-group {
                        // display: none;
                    }
                }
            }

        }

    }

    .block-title {

        width          : calc(100% - 40px);
        padding        : 15px 20px 15px 20px;
        display        : flex;
        justify-content: space-between;
        align-items    : center;
        flex-direction : row;
        background     : #fff;
        border         : 2px solid #F9F9F9;
        cursor         : pointer;

        .group-line-name {
            font-family: $fontPrimary;
            font-size  : 14px;
            line-height: 2;
            display    : flex;
        }

        .group-line-arrow-wrapper {
            height     : 2em;
            display    : flex;
            align-items: center;
            margin-left: 8px;
        }

        .group-line-arrow {
            background-image: url('arrow-down.svg');
            background-size : 13px 6px;
            width           : 13px;
            height          : 6px;
            content         : "";
            display         : inline-block;
        }

        .icon-group,
        .color-group {
            position     : relative;
            width        : 32px;
            height       : 32px;
            transform    : rotate(45deg);
            border       : 1px solid #DDDDDD;
            border-radius: 50%;
            overflow     : hidden;

        }

        .icon-group {
            transform    : rotate(0deg);
            border-radius: 0;
            border-color: transparent;
        }

        .color-group-item {
            position        : absolute;
            left            : 0;
            top             : 0;
            width           : 32px;
            height          : 32px;
            content         : "";
            background-color: black;
            border-radius   : 50%;
        }

        .text-line-icon {
            position           : absolute;
            left               : 0;
            top                : 0;
            width              : 32px;
            height             : 32px;
            content            : "";
            background-color   : transparent;
            background-repeat  : no-repeat;
            background-size    : 16px 18px;
            background-position: center;
            background-image   : url('text-icon.svg');
        }

    }

    .block-custom-text,
    .block-colors,
    .block-image-editor {

        background      : #fff;
        margin-bottom   : 0;
        // display      : none;
        // height       : 0;
        // border       : 2px solid#F9F9F9;
        transition      : height 300ms;
        height          : 0;
        overflow        : hidden;

        &.visible {
            // display: block;
            /* height calculated by javascript */

        }
    }

    .block-custom-text-inside,
    .block-colors-inside,
    .block-image-editor-inside {
        padding: 14px 0 14px 22px;
    }



    .custom-text-title,
    .color-group-title {
        margin-top   : 5px;
        margin-bottom: 0;
        font-size    : 14px;
        line-height  : 2;
        font-family  : $fontPrimary;
    }

    ul.color-group-wrapper {
        padding        : 0;
        margin-top     : 5px;
        text-align     : center;
        white-space    : nowrap;
        display        : flex;
        justify-content: space-between;

        // width     : 100%;
        // overflow-x: auto;
        // overflow-y: hidden;
        padding      : 5px 5px 10px;
        width        : calc(100% - 20px);

        li {
            display   : inline-block;
            width     : 30px;
            height    : 30px;
            min-width : 30px;
            min-height: 30px;
            /* border calculated into width and height +1px on sides = +2px */
            border             : 1px solid transparent;
            border-radius      : 99px;
            margin             : 0 5px;
            cursor             : pointer;
            background-position: center center;
            position           : relative;

            &:first-of-type {
                margin-left: 0;
            }

            &:last-of-type {
                margin-right: 0;
            }

            &.active {
                &:after {
                    position     : absolute;
                    width        : calc(100% + 6px);
                    height       : calc(100% + 6px);
                    top          : -4px;
                    left         : -4px;
                    background   : transparent;
                    border       : 1px solid #010101;
                    border-radius: 50%;
                    content      : "";
                }
            }

            &.disabled {
                pointer-events  : none !important;
                opacity         : 0.2;
                border          : 1px solid red;
                border-radius   : 50%;
                position        : relative;
                display         : inline-block;
                background-color: #fff !important;
                overflow        : hidden;

                &:after {
                    content         : "";
                    position        : absolute;
                    width           : 200% !important;
                    height          : 1px !important;
                    background      : red;
                    transform       : rotate(45deg);
                    transform-origin: 0% 0%;
                    top             : 0;
                    left            : 0;
                    border          : 0 none;
                }
            }
        }
    }

    .customizer-input {
        font-family       : $fontPrimary;
        font-weight       : 400;
        font-style        : normal;
        padding           : 15px 8px;
        margin            : 0;
        display           : inline-block;
        border-radius     : 0;
        -webkit-appearance: none;
        color             : #000000;
        width             : calc(100% - 16px);
        border            : 0 none;
        background        : #F5F5F5;
        caret-color       : #000000;
    }

    .customizer-upload-button {
        font-family       : $fontPrimary;
        font-weight       : 400;
        font-style        : normal;
        padding           : 15px 8px;
        margin            : 0;
        display           : block;
        margin-left       : auto;
        margin-right      : auto;
        border-radius     : 0;
        color             : #000000;
        width             : calc(50% - 16px);
        border            : 0 none;
        background        : #F5F5F5;

    }

    .customizer-mobile-options-wrapper {
        display: none;
    }

    .customizer-close,
    .customizer-mobile-close {

        position       : absolute;
        width          : 50px;
        height         : 50px;
        background     : #fff;
        border         : 1px solid #DDDDDD;
        border-radius  : 50%;
        display        : flex;
        justify-content: center;
        align-items    : center;
        cursor         : pointer;
        top            : 25px;
        left           : 15px;
        opacity        : 1;
        visibility     : visible;
        transition     : opacity 0.5s, visibility 0s;

        span {
            width            : 20px;
            height           : 20px;
            background-image : url('close.svg');
            background-repeat: no-repeat;
            background-size  : 20px 20px;
            content          : "";
            display          : block;
        }
    }

    .customizer-close {
        z-index: 10;
        top    : 20px;
        left   : 20px;
    }

    .customizer-back,
    .customizer-mobile-back {

        position       : absolute;
        width          : 50px;
        height         : 50px;
        background     : #fff;
        border         : 1px solid #DDDDDD;
        border-radius  : 50%;
        display        : flex;
        justify-content: center;
        align-items    : center;
        cursor         : pointer;
        top            : -75px;
        left           : 15px;

        span {
            width            : 16px;
            height           : 28px;
            background-image : url('back.svg');
            background-repeat: no-repeat;
            background-size  : 16px 28px;
            content          : "";
            display          : block;
            transform        : translateX(-16%);
        }
    }

    .customizer-back {
        top       : 20px;
        left      : inherit;
        right     : 20px;
        opacity   : 0;
        visibility: hidden;
        transition: opacity 0.5s, visibility 0s 0.5s;
    }

    .customizer-mobile-options-wrapper {

        .customizer-mobile-options {
            position: relative;
        }

        .customizer-mobile-steps {
            width          : 100%;
            height         : 100%;
            position       : absolute;
            transition     : transform 0.25s;
            flex-direction : column;
            justify-content: space-between;
            display        : flex;
            max-height     : calc(100vh - 79px);

            &#customizerMobileStep1 {
                position      : fixed;
                left          : 0;
                bottom        : 0;
                display       : flex;
                width         : 100%;
                flex-direction: row;
                background    : #fff;
                transform     : translateX(0%) translateY(0%);
                height        : 100px;

                .step-options {
                    display       : flex;
                    flex-direction: row;
                    overflow-x    : scroll;
                    overflow-y    : hidden;
                    white-space   : nowrap;

                    .group-row {

                        font-family    : $fontPrimary;
                        display        : flex;
                        justify-content: center;
                        align-items    : center;
                        flex-direction : column;
                        background     : #fff;
                        border         : 2px solid #F9F9F9;
                        cursor         : pointer;
                        max-width      : 250px;
                        width          : 40vw;
                        min-width      : 150px;
                        padding        : 20px 0;
                        white-space    : nowrap;
                    }
                }
            }

            &#customizerMobileStep2 {
                position  : fixed;
                left      : 0;
                bottom    : 0;
                background: #fff;
                transform : translateX(0%) translateY(100%);
                padding   : 5px 0 0;
                height    : auto;

                .step-options {
                    opacity   : 0;
                    visibility: hidden;
                    position  : relative;
                    transition: opacity 0.2s, visibility 0s 0.2s;
                }
            }
        }

        .block-title {
            flex-direction: column;
        }

        .block-colors,
        .block-custom-text,
        .block-image-editor {
            height: auto;
        }

        .color-group-title {
            margin-top: 0;
        }


        &.mobile-step2 {

            .customizer-mobile-steps {

                &#customizerMobileStep1 {
                    transform: translateY(100%);
                }

                &#customizerMobileStep2 {
                    transform: translateY(0%);

                    .step-options {
                        opacity   : 1;
                        visibility: visible;
                        transition: opacity 200ms 100ms, visibility 0s;
                    }
                }

            }

            .customizer-mobile-close {
                opacity   : 0;
                visibility: hidden;
                transition: visibility 0s 300ms, opacity 300ms;
            }

            .customizer-mobile-back {
                opacity   : 1;
                visibility: visible;
                transition: visibility 0s, opacity 300ms;
            }

        }

    }

    .customizer-pins--text-wrapper {
        font-family: $fontPrimary;
    }

    @media screen and (max-width: 768px) {

        .customizer-options-wrapper {
            display: none;
        }

        .customizer-canvas-wrapper {
            width: 100vw;
        }

        .customizer-back,
        .customizer-close {
            display: none !important;
        }

        .customizer-ui-wrapper {
            position     : fixed;
            top          : inherit;
            right        : inherit;
            bottom       : 0;
            height       : 0;
            overflow     : visible;
            width        : 100vw;
            // margin-top: 100vh;
            // transform : translateY(-100%);
            background   : red;
        }

        ul.color-group-wrapper {
            padding-bottom: 0;
        }

        .customizer-input {
            margin-bottom: 10px;
        }

        .customizer-mobile-options-wrapper {
            display: block;

            .color-group-title {
                text-align   : center;
                font-size    : 14px;
                margin-bottom: 0;
            }

            .block-title {
                padding: 15px 0;
                width  : 100%;

                .icon-group,
                .color-group {
                    border    : 0 none;
                }

                .group-line-name{
                    margin-top: 5px;
                }
            }

            .customizer-mobile-steps#customizerMobileStep1 .step-options .group-row {
                padding: 0;
            }
        }

    }
}